#coding=utf8

'''
CloudControl attachment command
'''

import os
import subprocess

from cccli.exception import *
from cccli.command import TqlCommand

class Command_attachment(TqlCommand):
    '''Retrieve an attachment'''

    def __init__(self, cli, argv0):
        TqlCommand.__init__(self, cli, argv0)
        self.set_usage("%prog [options] <tql> attachment [attachment] ...")
        self.tql_filter += "&r=job"

    def __call__(self, argv):
        # Parse argline
        self.parse_args(argv)
        # append current login if nothing asked
        if len(self.args) != 2:
            raise cmdBadArgument()
        # ask server
        objs = self.rpc.call("attachment", self.args[0], self.args[1])
        for out in objs['objects']:
            if out['status'] == 'success':
                self.printer.pager(f_output)
            else:
                self.printer.warn('%s: %s' % (out['id'], out['message']))

    def remote_functions(self):
        return set(("attachment",))
