#coding=utf8

'''
CloudControl delforward command
'''

from cccli.command import Command
from cccli.exception import *

class Command_delforward(Command):
    '''Delete forwarded connection'''

    def __init__(self, cli, argv0):
        Command.__init__(self, cli, argv0)

    def __call__(self, argv):
        # argv check
        if len(argv) < 2:
            raise cmdBadArgument()
        for fwd_id in argv[1:]:
            if fwd_id in self.cli.forwards:
                self.printer.out("Closing %s" % fwd_id)
                self.cli.forwards[fwd_id].stop()
                del self.cli.forwards[fwd_id]
            else:
                self.printer.warn("No such forward: %s" % fwd_id)

    def usage(self):
        return "Usage: delforward <tunnel id> [tunnel id]..."
