#coding=utf8

'''
CloudControl forwards command
'''

from cccli.command import Command
from cccli.printer import color
from cccli.exception import *

class Command_forwards(Command):
    '''List open forwards'''

    def __init__(self, cli, argv0):
        Command.__init__(self, cli, argv0)

    def __call__(self, argv):
        # argv check
        if len(argv) != 1:
            raise cmdBadArgument()
        out = self.printer.out
        for fwd in self.cli.forwards.values():
            out("Forward: %s%s%s" % (color["lpurple"], fwd.id, color["reset"]))
            out("  HostID: %s" % fwd.host_id)
            out("  Local socket: %s %s" % (fwd.source_ip, fwd.source_port))
            out("  Remote socket: %s %s" % (fwd.dest_ip, fwd.dest_port))
            out("  Tunnels:")
            out("    count: %s" % len(fwd.tunnels))
            for label, tun in fwd.tunnels.items():
                remote_ip, remote_port = tun.endpoint.getpeername()
                out("    label: %s, remote ip: %s, remote port: %s"
                    % (label, remote_ip, remote_port))
        out("Forward count: %d, Tunnels count: %d" %
            (len(self.cli.forwards),
             sum(len(f.tunnels) for f in self.cli.forwards.values())))
